<%= turbo_frame_tag dom_id(document) do %>
  <%= turbo_stream_from "documents/#{document.id}/outline" %>
  <% if document.headers.empty? %>
    <p class="leading-5 text-gray-400 text-xs py-4 pr-4">
      Headings you add to the document will appear here.
    </p>
  <% else %>
    <ol data-document-target="outline" class="space-y-2 py-4">
      <% document.headers.each_with_index do |heading, index| %>
        <%
          state = if index == 0
            "text-orange-800 before:content-['—'] before:absolute before:block before:-left-8 before:h-0 before:w-4"
          else
            "text-gray-500"
          end
          size = %w[md sm xs][heading.level - 1]
          indent = heading.level * 2 - 2
        %>
        <li class="text-<%= size %> font-medium <%= state %> relative">
          <a href="#<%= heading.title.parameterize %>" class="ml-<%= indent %>">
            <%= heading.title %>
          </a>
        </li>
      <% end %>
    </ol>
  <% end %>
<% end %>
